Package twisted :: Package web :: Module widgets :: Class Reloader

[frames | no frames]

## Class Reloader

      Widget --+
               |
    Presentation --+
                   |
                  Reloader

Method Summary
| `__init__(self, modules)`
| `reload(self, request)`
Inherited from Presentation
| ``addClassVars`(self, namespace, Class)`
| ``addVariables`(self, namespace, request)`
| ``display`(self, request)` Implement me to represent your widget.
| ``formatTraceback`(self, tb)`
| ``prePresent`(self, request)` Perform any tasks which must be done before presenting the page.
| ``streamCall`(self, call, *args, **kw)` Utility: Call a method like StreamWidget's 'stream'.
Inherited from Widget
| ``getTitle`(self, request)`

Class Variable Summary
`str` | `template` = `'\n Reloading...\n <ul>\n %%%%reload...`
Inherited from Presentation
`str` | `world` = `"you didn't assign to the 'template' attribute"`
Inherited from Widget
`NoneType` | `title` = None

Class Variable Details

### template

  Type:
    `str`
  Value:

        '''
            Reloading...
            <ul>
            %%%%reload(request)%%%%
            </ul> ... reloaded!
            '''

Generated by Epydoc 2.0 on Sat May 15 20:07:36 2004 | http://epydoc.sf.net